> ## Documentation Index
> Fetch the complete documentation index at: https://docs.eldra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves all questionnaires available in the system.



## OpenAPI

````yaml https://raw.githubusercontent.com/FooBarBizarre/docs/refs/heads/main/api-reference/openapi.json get /questionnaires
openapi: 3.0.1
info:
  title: Maia Backend API
  version: v1
servers: []
security: []
paths:
  /questionnaires:
    get:
      tags:
        - Questionnaire
      summary: Retrieves all questionnaires available in the system.
      responses:
        '200':
          description: Successfully retrieved all questionnaires.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Questionnaire'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Questionnaire'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Questionnaire'
components:
  schemas:
    Questionnaire:
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        firstMessage:
          type: string
          nullable: true
        retryIntervalDays:
          type: integer
          format: int32
        maxTries:
          type: integer
          format: int32
        intervalBackOffMultiplier:
          type: integer
          format: int32
        repeatIntervalDays:
          type: integer
          format: int32
        createdAt:
          type: string
          format: date-time
      additionalProperties: false

````